<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackConst.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">TrackConst.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_track_obj_8h_source.html">eicd/TrackObj.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_track_8h_source.html">eicd/Track.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_track_state_8h_source.html">eicd/TrackState.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_tracker_hit_8h_source.html">eicd/TrackerHit.h</a>&quot;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &quot;podio/ObjectID.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TrackConst.h:</div>
<div class="dyncontent">
<div class="center"><img src="_track_const_8h__incl.png" border="0" usemap="#eicd_2_track_const_8h" alt=""/></div>
<map name="eicd_2_track_const_8h" id="eicd_2_track_const_8h">
<area shape="rect" id="node2" href="_track_obj_8h.html" title="eicd/TrackObj.h" alt="" coords="340,155,455,181"/>
<area shape="rect" id="node4" href="_track_state_8h.html" title="eicd/TrackState.h" alt="" coords="661,229,787,256"/>
<area shape="rect" id="node12" href="_tracker_hit_8h.html" title="eicd/TrackerHit.h" alt="" coords="464,229,587,256"/>
<area shape="rect" id="node18" href="_track_8h.html" title="eicd/Track.h" alt="" coords="561,80,655,107"/>
<area shape="rect" id="node3" href="_track_data_8h.html" title="eicd/TrackData.h" alt="" coords="139,229,261,256"/>
<area shape="rect" id="node5" href="_track_state_const_8h.html" title="eicd/TrackStateConst.h" alt="" coords="912,304,1072,331"/>
<area shape="rect" id="node6" href="_track_state_obj_8h.html" title="eicd/TrackStateObj.h" alt="" coords="958,379,1103,405"/>
<area shape="rect" id="node7" href="_track_state_data_8h.html" title="eicd/TrackStateData.h" alt="" coords="955,453,1109,480"/>
<area shape="rect" id="node13" href="_tracker_hit_const_8h.html" title="eicd/TrackerHitConst.h" alt="" coords="384,304,541,331"/>
<area shape="rect" id="node14" href="_tracker_hit_obj_8h.html" title="eicd/TrackerHitObj.h" alt="" coords="369,379,511,405"/>
<area shape="rect" id="node15" href="_tracker_hit_data_8h.html" title="eicd/TrackerHitData.h" alt="" coords="341,453,491,480"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_track_const_8h__dep__incl.png" border="0" usemap="#eicd_2_track_const_8hdep" alt=""/></div>
<map name="eicd_2_track_const_8hdep" id="eicd_2_track_const_8hdep">
<area shape="rect" id="node2" href="_track_8h.html" title="eicd/Track.h" alt="" coords="440,80,535,107"/>
<area shape="rect" id="node16" href="_track_8cc.html" title="src/Track.cc" alt="" coords="5,251,100,278"/>
<area shape="rect" id="node18" href="_track_const_8cc.html" title="src/TrackConst.cc" alt="" coords="354,251,485,278"/>
<area shape="rect" id="node3" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="717,155,895,196"/>
<area shape="rect" id="node4" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="717,244,895,285"/>
<area shape="rect" id="node5" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="872,333,1063,360"/>
<area shape="rect" id="node15" href="_track_collection_8h.html" title="eicd/TrackCollection.h" alt="" coords="177,162,329,189"/>
<area shape="rect" id="node19" href="_track_obj_8cc.html" title="src/TrackObj.cc" alt="" coords="430,162,545,189"/>
<area shape="rect" id="node6" href="_reconstructed_particle_8cc.html" title="src/ReconstructedParticle.cc" alt="" coords="473,505,664,531"/>
<area shape="rect" id="node7" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="606,408,785,449"/>
<area shape="rect" id="node9" href="_reconstructed_particle_const_8cc.html" title="src/ReconstructedParticle\lConst.cc" alt="" coords="995,497,1169,539"/>
<area shape="rect" id="node11" href="_reconstructed_particle_obj_8cc.html" title="src/ReconstructedParticle\lObj.cc" alt="" coords="1245,408,1418,449"/>
<area shape="rect" id="node14" href="_vertex_obj_8cc.html" title="src/VertexObj.cc" alt="" coords="665,333,785,360"/>
<area shape="rect" id="node12" href="_vertex_8cc.html" title="src/Vertex.cc" alt="" coords="1069,415,1169,442"/>
<area shape="rect" id="node13" href="_vertex_const_8cc.html" title="src/VertexConst.cc" alt="" coords="911,415,1045,442"/>
<area shape="rect" id="node8" href="_reconstructed_particle_collection_8cc.html" title="src/ReconstructedParticle\lCollection.cc" alt="" coords="166,497,339,539"/>
<area shape="rect" id="node10" href="_vertex_collection_8cc.html" title="src/VertexCollection.cc" alt="" coords="688,505,847,531"/>
<area shape="rect" id="node17" href="_track_collection_8cc.html" title="src/TrackCollection.cc" alt="" coords="176,251,329,278"/>
</map>
</div>
</div>
<p><a href="_track_const_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
